Web lists-archives.com

Re: [Samba] AD integration not working after move/version




Compiling   Samba on Solaris 10 is a major pain in the ...

Solaris 11 shipped with Samba 3.x but patches up to samba 4.7.x    (You may need a contract to be update to pull the latest version.)     There is a little bit of a learning curve with solaris 11.   Editing /etc/nsswitch.conf now involves some complicated magic commands.      Samba 4.7.x worked AOK.   





-----Original Message-----
From: samba [mailto:samba-bounces@xxxxxxxxxxxxxxx] On Behalf Of Henrik Johansson via samba
Sent: Saturday, March 18, 2017 2:55 PM
To: Rowland Penny <rpenny@xxxxxxxxx>
Cc: samba@xxxxxxxxxxxxxxx
Subject: Re: [Samba] AD integration not working after move/version


>> 
>> Short summary; this is on a old Solaris 10 system, the virtual host 
>> is a Solaris zone, or two instance of the zone on two hosts for 
>> failover. The config is years old and I had no part in this, but we 
>> needed to upgrade Solaris Oracle has only managed to release 3.5.8 or 
>> something close to that as patches. I could of course compile my own 
>> version or something but Samba was not the scope for this operation, 
>> it just stopped working which is a huge problem, and it can be 
>> because we needed to switch to the other zone or because the config 
>> did not work with this slightly newer version.
>> 
> 
> OK, I wonder if you are running into the result of the badlock patches ?
> 

Yes I am having badluck! Thank you so much, I solved it not buy upgrading but downgrading below 3.6.25, so without backlock for the time being. Solved the urgen problem but we need to have a plan to go to a later version but under well tested conditions. Tanks again!

Regards
Henrik
--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba